Integrate statistics into logger
08/23/2011 10:31 AM - J. Wienke

Status: Resolved Start date: 08/23/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: 0.5
Description

Associated revisions
Revision e663f262 - 09/27/2011 09:58 AM - J. Moringen
Added parse-instantiation-spec in common/options.lisp
refs #519
    -  common/options.lisp (parse-instantiation-spec): new function; parse

  a string specifying a class and initargs
  (simple-instantiation-spec?): new function; helper function for
  `parse-instantiation-spec'
  (maybe-expand-instantiation-spec): likewise

    -  common/package.lisp (package rsb.common): added exported symbol
  parse-instantiation-spec

Revision cf26fd46 - 09/27/2011 09:58 AM - J. Moringen
Use class family for styles in formatting/{protocol,event}.lisp
refs #519
    -  formatting/protocol.lisp (define-findable-class-family style): new

  class family; consists of event formatting style classes
  (format-styles): removed; superseded by class family

    -  formatting/event.lisp (find-style-class eql :discard): new method;
  find discard class
  (discard): new class; discarding formatting style class
  (format-event event discard t): changed specializer eql :discard ->
  discard
  (find-style-class eql :compact): new method; find compact class
  (compact): new class; compact formatting style class
  (format-event event compact t): changed specializer eql :compact ->
  compact
  (find-style-class eql :detailed): new method; find detailed class
  (detailed): new class; detailed formatting style class
  (format-event event detailed t): changed specializer eql :detailed
  -> detailed
  (format-event :after event detailed t): likewise
  (find-style-class eql :payload): new method; find payload class
  (payload): new class; payload formatting style class
  (format-event event payload t): changed specializer eql :payload ->
  discard

    -  formatting/package.lisp (package rsb.formatting): added exported
  symbols no-such-style-class, find-style-class and style-classes;
  removed exported symbols format-styles

    -  logger/main.lisp (make-style-help-string): new function; return help
  string explaining the selection of event formatting styles
  (update-synopsis): changed style option to accept string argument;
  use-`make-style-help-string' to generate the help string
  (main): use `parse-instantiation-spec' to construct event formatting
  style

Revision 6e62676f - 09/30/2011 07:15 PM - J. Moringen

merged changes from stats branch fixes #519

History
#1 - 08/26/2011 04:27 AM - J. Moringen
- Target version changed from 0.4 to rsb-0.10

#2 - 09/27/2011 01:35 AM - J. Moringen
- Status changed from New to In Progress
- Target version changed from rsb-0.10 to 0.5
- % Done changed from 0 to 40

#3 - 09/27/2011 01:36 AM - J. Moringen
- Subject changed from integrate statistics into cl-logger. to Integrate statistics into logger

#4 - 09/28/2011 03:45 AM - J. Moringen
- % Done changed from 40 to 70

#5 - 09/30/2011 07:15 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset r2761.
